<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\KursUebersicht\Detailsreiter\Teilnehmer\HandleBarzahlung;

class BarzahlungDialogController extends \Kufer\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new BarzahlungDialogUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new BarzahlungDialogRequest();
    $requestObj->belegungIds = explode(',', \GetOperations::getVarValue('belIds'));
    $requestObj->knr = \GetOperations::getVarValue('knr');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new BarzahlungDialogPresenter($pUseCaseResponse);
  }
}